Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management.monitor
Interface MonitorMBean

All Known Subinterfaces:
  CounterMonitorMBean, GaugeMonitorMBean, StringMonitorMBean

All Known Implementing Classes:
  Monitor

public abstract interface MonitorMBean

This interface exposes the remote management interface of the Monitor MBean.

Method Summary
`long` | `getGranularityPeriod()` Gets the granularity period (in milliseconds).
`java.lang.String` | `getObservedAttribute()` Gets the attribute being observed.
`ObjectName` | `getObservedObject()` Gets the object name of the object being observed.
`boolean` | `isActive()` Tests if the Monitor MBean is active.
`void` | `setGranularityPeriod(long period)` Sets the granularity period (in milliseconds).
`void` | `setObservedAttribute(java.lang.String attribute)` Sets the attribute to observe.
`void` | `setObservedObject(ObjectName object)` Sets the object to observe identified by its object name.
`void` | `start()` Starts the Monitor.
`void` | `stop()` Stops the Monitor.

Method Detail

### start

    public void start()

  Starts the Monitor.

### stop

    public void stop()

  Stops the Monitor.

### getObservedObject

    public ObjectName getObservedObject()

  Gets the object name of the object being observed.
  Returns:
    The object being observed.

### setObservedObject

    public void setObservedObject(ObjectName object)

  Sets the object to observe identified by its object name.
  Parameters:
    `object` - The object to observe.

### getObservedAttribute

    public java.lang.String getObservedAttribute()

  Gets the attribute being observed.
  Returns:
    The attribute being observed.

### setObservedAttribute

    public void setObservedAttribute(java.lang.String attribute)

  Sets the attribute to observe.
  Parameters:
    `attribute` - The attribute to observe.

### getGranularityPeriod

    public long getGranularityPeriod()

  Gets the granularity period (in milliseconds).
  Returns:
    The granularity period.

### setGranularityPeriod

    public void setGranularityPeriod(long period)
                              throws java.lang.IllegalArgumentException

  Sets the granularity period (in milliseconds).
  Parameters:
    `period` - The granularity period.
  Throws:
    java.lang.IllegalArgumentException - The granularity period is less than or equal to zero.

### isActive

    public boolean isActive()

  Tests if the Monitor MBean is active. A Monitor MBean is marked active when the start method is called. It becomes inactive when the stop method is called.
  Returns:
    True if the Monitor MBean is active, false otherwise.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD